# Documentation website
title: CSV
tagline: "CSV data manipulation made easy in PHP."
description: "Working with CSV can often be much more difficult than you expect, with different types of delimiters and complicated structures. This library makes it easy to read and write almost anything."
google_analytics_tracking_id: UA-46050814-6
# Github repository
repository: 'csv'
version: 9.18.0
releases:
#  next:
#    version: '10.0'
#    requires: 'PHP >= 7.3.0'
#    latest: '10.0.0 - 2020-02-29'
#    supported_until: 'TBD'
#    documentation_link: '/10.0/'
  current:
    version: '9.0'
    requires: 'PHP >= 7.0.10'
    latest: '9.16.0- 2018-05-01'
    supported_until: 'TBD'
    documentation_link: '/9.0/'
  previous:
    version: '8.0'
    requires: 'PHP >= 5.5.0'
    latest: '8.2.3 - 2018-02-06'
    supported_until: '2018-02-18'
    documentation_link: '/8.0/'
  legacy:
    version: '7.0'
    requires: 'PHP >= 5.4.0'
    latest: '7.2.0 - 2015-11-02'
    supported_until: '2016-06-11'
    documentation_link: '/7.0/'
author:
    name: 'Ignace Nyamagana Butera'
    twitter_account: 'nyamsprod'
    github_account: 'nyamsprod'
# Homepage specific
highlights:
  description: 'The library was designed for developers who want to deal with CSV data using modern code and without the high levels of bootstrap and low-levels of usefulness provided by existing core functions or third-party code.'
  features:
      - 'Simple API'
      - 'Read and Write to CSV documents in a memory efficient and scalable way'
      - 'Support PHP Stream filtering capabilities'
      - 'Transform CSV documents into popular formats (JSON, XML or HTML)'
      - 'Framework-agnostic'
composer: 'composer require league/csv:^9.0'
support: 'Once a new major version is released, the previous stable release remains supported for six more months with patches and security fixes.'
